import request, { apiGet } from '@/utils/request';

export function getReportListApi() {
  return apiGet('/getExperimentList?searchValue=');
}

export function getReportDetailApi(params) {
  return apiGet('/getExperimentInfo', params);
}

export function getReportDataListApi(params) {
  return apiGet('/getAerosolExperimentStepList', params);
}

export function exportExcelApi(params) {
  return apiGet('/exportReport', params);
}

export function deleteReportApi(params) {
  return apiGet('/deleteExperiment', params);
}
// 导出报表
export function exportTableApi(data) {
  return request({
    url: '/api/export_table',
    method: 'post',
    data
  });
}